package io.gitlab.jfronny.libjf.config.api;

import io.gitlab.jfronny.libjf.config.impl.Config;
import io.gitlab.jfronny.libjf.config.impl.ConfigHolderImpl;

import java.util.Map;

public interface ConfigHolder {
    static ConfigHolder getInstance() {
        return ConfigHolderImpl.INSTANCE;
    }
    void register(String modId, Class<?> config);
    Map<String, Config> getRegistered();
    boolean isRegistered(Class<?> config);
}
