package io.gitlab.jfronny.libjf.config.impl.entry;

import io.gitlab.jfronny.libjf.config.api.ConfigHolder;
import io.gitlab.jfronny.libjf.config.impl.Config;
import io.gitlab.jfronny.libjf.config.impl.ConfigHolderImpl;
import io.gitlab.jfronny.libjf.config.impl.gui.EntryInfoWidgetBuilder;
import io.gitlab.jfronny.libjf.LibJf;
import net.fabricmc.api.ClientModInitializer;

public class JfConfigClient implements ClientModInitializer {
    @Override
    public void onInitializeClient() {
        for (Config config : ConfigHolder.getInstance().getRegistered().values()) {
            LibJf.LOGGER.info("Registring config UI for " + config.modid);
            EntryInfoWidgetBuilder.initConfig(config);
        }
    }
}
