package io.gitlab.jfronny.libjf.config.impl.entry;

import io.gitlab.jfronny.libjf.LibJf;
import io.gitlab.jfronny.libjf.config.api.ConfigHolder;
import io.gitlab.jfronny.libjf.config.impl.ConfigHolderImpl;
import io.gitlab.jfronny.libjf.config.api.JfConfig;
import io.gitlab.jfronny.libjf.unsafe.DynamicEntry;
import io.gitlab.jfronny.libjf.unsafe.UltraEarlyInit;

public class JfConfigUnsafe implements UltraEarlyInit {
    @Override
    public void init() {
        DynamicEntry.execute(LibJf.MOD_ID + ":config", JfConfig.class, s -> {
            ConfigHolder.getInstance().register(s.modId(), s.instance().getClass());
            LibJf.LOGGER.info("Registering config for " + s.modId());
        });
        LibJf.LOGGER.info("Finished LibJF config entrypoint");
    }
}
