package io.gitlab.jfronny.libjf;

import io.gitlab.jfronny.libjf.config.api.ConfigHolder;
import io.gitlab.jfronny.libjf.config.impl.ConfigHolderImpl;
import io.gitlab.jfronny.libjf.data.WrappedPack;
import io.gitlab.jfronny.libjf.data.manipulation.api.UserResourceEvents;
import net.fabricmc.api.ModInitializer;

//TODO remove for 1.18
@Deprecated(forRemoval = true)
public class Libjf implements ModInitializer {
    @Deprecated(forRemoval = true)
    public static void registerConfig(String modId, Class<?> config) {
        ConfigHolder.getInstance().register(modId, config);
    }

    @Override
    public void onInitialize() {
        UserResourceEvents.CONTAINS.register((type, id, previous, pack) ->
                io.gitlab.jfronny.libjf.data.UserResourceEvents.CONTAINS.invoker().contains(type, id, previous, WrappedPack.create(pack)));
        UserResourceEvents.FIND_RESOURCE.register((type, namespace, prefix, maxDepth, pathFilter, previous, pack) ->
                io.gitlab.jfronny.libjf.data.UserResourceEvents.FIND_RESOURCE.invoker().findResources(type, namespace, prefix, maxDepth, pathFilter, previous, WrappedPack.create(pack)));
        UserResourceEvents.OPEN.register((type, id, previous, pack) ->
                io.gitlab.jfronny.libjf.data.UserResourceEvents.OPEN.invoker().open(type, id, previous, WrappedPack.create(pack)));
        UserResourceEvents.OPEN_ROOT.register((fileName, previous, pack) ->
                io.gitlab.jfronny.libjf.data.UserResourceEvents.OPEN_ROOT.invoker().openRoot(fileName, previous, WrappedPack.create(pack)));
    }
}
