package io.gitlab.jfronny.libjf.data.wrappedPackImpl;

import io.gitlab.jfronny.libjf.data.WrappedPack;
import net.minecraft.resource.ResourcePack;
import net.minecraft.resource.ResourceType;
import net.minecraft.resource.metadata.ResourceMetadataReader;
import net.minecraft.util.Identifier;
import org.jetbrains.annotations.Nullable;

import java.io.IOException;
import java.io.InputStream;
import java.util.Collection;
import java.util.Set;
import java.util.function.Predicate;

@Deprecated(forRemoval = true)
public class WrappedResourcePack extends WrappedPack {
    ResourcePack pack;
    SafeWrappedResourcePack safeWrappedResourcePack;
    public WrappedResourcePack(ResourcePack pack) {
        this.pack = pack;
        safeWrappedResourcePack = new SafeWrappedResourcePack(pack);
    }

    @Override
    public ResourcePack getUnderlying() {
        return safeWrappedResourcePack;
    }

    @Nullable
    @Override
    public InputStream openRoot(String fileName) throws IOException {
        return pack.openRoot(fileName);
    }

    @Override
    public InputStream open(ResourceType type, Identifier id) throws IOException {
        return pack.open(type, id);
    }

    @Override
    public Collection<Identifier> findResources(ResourceType type, String namespace, String prefix, int maxDepth, Predicate<String> pathFilter) {
        return pack.findResources(type, namespace, prefix, maxDepth, pathFilter);
    }

    @Override
    public boolean contains(ResourceType type, Identifier id) {
        return pack.contains(type, id);
    }

    @Override
    public Set<String> getNamespaces(ResourceType type) {
        return pack.getNamespaces(type);
    }

    @Nullable
    @Override
    public <T> T parseMetadata(ResourceMetadataReader<T> metaReader) throws IOException {
        return pack.parseMetadata(metaReader);
    }

    @Override
    public String getName() {
        return pack.getName();
    }

    @Override
    public void close() {
        pack.close();
    }
}
