package io.gitlab.jfronny.libjf.gson;

import com.google.gson.ExclusionStrategy;
import com.google.gson.FieldAttributes;

public class HiddenAnnotationExclusionStrategy implements ExclusionStrategy {
    public boolean shouldSkipClass(Class<?> clazz) {
        return false;
    }
    public boolean shouldSkipField(FieldAttributes fieldAttributes) {
        return fieldAttributes.getAnnotation(GsonHidden.class) != null;
    }
}
